Subject: [Sip] Re: Comments draft-ietf-sipping-transc-franework-02

From: Gonzalo Camarillo <[email-masked]>
Date: Sun, 19 Jun 2005 21:43:42 +0300

Hi,

> 1. In general we have considred two models for
> transcoding service invocation based on 3PCC and
> Bridging model. A hybrid of the two in case of
> transcoding could be considered as an alternate model,
> so that 3PCC as well as the server (T) has control
> over the session. Party A would be interested in
> control for the reason of initiating the session, and
> T would be interested in controlling session to
> effectively manage its resources

Do you have a concrete proposal to realize what you are suggesting?

> 2. There is a typo in the draft in section 3.2
> mentioning 'end-poing' instead of 'end-point'.

I will fix it.

Thanks for your comments,

Gonzalo

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Gonzalo Camarillo <[email-masked]>
Date: Mon, 27 Jun 2005 11:17:04 +0300

Hi,

inline:

> One of the things that would improve the draft would
> be to include the message 
> format of the messages that would be exchanged in the
> call flow.

The details are given in the two documents describing the actual models. 
The framework only provides a rough description of both models.

> In section 3.1, there is a link ([10]) to
> the document that describes it all but for 3.2 I could
> not find such link.

Yes, I will add such a reference.

> What I have understood from the two section is
> o section 3.1 - after initial dialog is established by
> A with B and T, it 
>   would manage the exposure of transport address of B
> and T to both
> o section 3.2 - A establishes dialog with T, which
> acts as a B2B UA. However, 
>   it would additionally act as a MiddleBox
> Communication server (RFC 3304) 
>   and establishes dialog with B.
> 
> The alternate model could be a hybrid one. The figure
> below depicts the 
> signaling relationship between the parties. 
> 
> A establishes a signaling dialog with B, and comes to
> know about the capabilites
> of B. It realizes the need for transcoding so
> establishes dialog with T, 
> queries it for resources. If response is positive from
> T it uses REFER method 
> mechanism to inform B about signaling contacts of T. B
> initiates session with C 
> joining the dialog as described in RFC 3911. 
> 
>           +-------+
>           |       |**
>           |   T   |  **
>           |       |\   **
>           +-------+ \\   **
>             ^   *     \\   **
>             |   *       \\   **
>             |   *         SIP  **
>            SIP  *           \\   **
>             |   *             \\   **
>             |   *               \\   **
>             v   *                 \    **
>           +-------+               +-------+
>           |       |               |       |
>           |   A   | < -- SIP  --> |   B   |
>           |       |               |       |
>           +-------+               +-------+
> 
> Does it make sense?

What would be the advantages of this model?

Note that this model would require B to understand a set of extensions 
(e.g., REFER, Replaces) while the existing models work with vanilla SIP 
user agents on the side that does not invoke the transcoder.

Thanks,

Gonzalo

---

From: Rayees Khan <[email-masked]>
Date: Sat, 18 Jun 2005 09:02:57 -0700 (PDT)

Hi,

Please find below the comments for the draft mentioned
in the subject.

regards
Rayees
Flextronics Software Systems

----------------------------------------------------------

		
____________________________________________________ 
Yahoo! Sports 
Rekindle the Rivalries. Sign up for Fantasy Football 
http://football.fantasysports.yahoo.com

---

From: Rayees Khan <[email-masked]>
Date: Mon, 20 Jun 2005 08:10:17 -0700 (PDT)

Hi Gonzalo,

call flow. In section 3.1, there is a link ([10]) to

          +-------+
          |       |**
          |   T   |  **
          |       |\   **
          +-------+ \\   **
            ^   *     \\   **
            |   *       \\   **
            |   *         SIP  **
           SIP  *           \\   **
            |   *             \\   **
            |   *               \\   **
            v   *                 \    **
          +-------+               +-------+
          |       |               |       |
          |   A   | < -- SIP  --> |   B   |
          |       |               |       |
          +-------+               +-------+

Does it make sense?

regards
Rayees

--- Gonzalo Camarillo <[email-masked]>